Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.api.decorator
Class ContentDecoratorContext

    java.lang.Object
      net.sourceforge.pebble.api.decorator.ContentDecoratorContext

    public class ContentDecoratorContext

extends java.lang.Object

Provides context to content decorators, of where they are running, etc.

Author:
  Simon Brown

Field Summary
`static int` | `DETAIL_VIEW`
`static int` | `EMAIL`
`static int` | `HTML_PAGE`
`static int` | `NEWS_FEED`
`static int` | `PREVIEW`
`static int` | `SUMMARY_VIEW`
`static int` | `XML_RPC`

Constructor Summary
`ContentDecoratorContext()`

Method Summary
`int` | `getMedia()`
`int` | `getView()`
`void` | `setMedia(int media)`
`void` | `setView(int view)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUMMARY_VIEW

    public static final int SUMMARY_VIEW

See Also:
  Constant Field Values

### DETAIL_VIEW

    public static final int DETAIL_VIEW

See Also:
  Constant Field Values

### PREVIEW

    public static final int PREVIEW

See Also:
  Constant Field Values

### HTML_PAGE

    public static final int HTML_PAGE

See Also:
  Constant Field Values

### NEWS_FEED

    public static final int NEWS_FEED

See Also:
  Constant Field Values

### XML_RPC

    public static final int XML_RPC

See Also:
  Constant Field Values

### EMAIL

    public static final int EMAIL

See Also:
  Constant Field Values

Constructor Detail

### ContentDecoratorContext

    public ContentDecoratorContext()

Method Detail

### getView

    public int getView()

### setView

    public void setView(int view)

### getMedia

    public int getMedia()

### setMedia

    public void setMedia(int media)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.